The folder seaice_channel contians all necessary files to run the experiments:
-channel.inp: domain
-gascoigne.param: parameter file, including among other parameters timestep size, total number of timesteps, gridcell size
-loop.cc & loop.h: main program. It includes advection scheme for the tracers (void Loop::SolveTransport), loop for time iteration (void Loop::run) which calls the momentum and transport problem
-myequation.cc & myequation.h: includes the momentum equation in void MyEquation::Form (definition of PDE) and the derivative of the PDE used in the Newton scheme in void MyEquation::Matrix. The oceanic stresses are defined in void MyEquation::point
-problem.h: includes the wind stress in class MyRightHandSide, initialisation of ice thickness and ice concentration in class TGDirichletData and initialisation of the indicator function in class PhiDirichletData.
-solver.cc & solver.h: modified Newton solver
-run.sh: bash file to start the program

The folders fig03, fig04, fig05:
Contain all data files for the corresponding figures and the paraview files to create the figures. The data for the test cases using the parametrisation have param in their folder name, otherwise it is vp. All folder include the problem.h file with the used wind field and the initialisation of the ice thickness, ice concentration and indicator function.

The folder fig06: 
Provides apython script for figure 6,  the folders for the Newton (Results_shear_param_DDD1_10ms), Picard (Results_shear_param_DDD0_10ms), modified Netwon (Results_shear_param_DDD08_10ms) solver include  a file which lists the number of  solver iterations per timestep.

The folder fig07: 
Provides a python script for figure 7,  the folders for the Newton (Results_shear_param_DDD1_10ms), Picard (Results_shear_param_DDD0_10ms) and modified Netwon (Results_shear_param_DDD08_10ms) solver include a file which lists the residual decay of  solver in the 48th timestep